upgrade attempting to process triggers out of order (package plymouth-theme-ubuntu-text 0.9.2-3ubuntu17 failed to install/upgrade: dependency problems - leaving triggers unprocessed)

Bug #1750465 reported by Stephen Michael Kellat on 2018-02-19
142
This bug affects 32 people
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
budgie-artwork (Ubuntu)
Undecided
Unassigned
Artful
Undecided
Unassigned
kubuntu-settings (Ubuntu)
Undecided
Unassigned
Xenial
High
Unassigned
Artful
Undecided
Unassigned
plymouth (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
ubuntu-gnome-default-settings (Ubuntu)
Undecided
Unassigned
Xenial
High
Unassigned
Artful
Undecided
Unassigned
ubuntu-mate-artwork (Ubuntu)
Undecided
Unassigned
Xenial
High
Unassigned
Artful
Undecided
Unassigned

Bug Description

[SRU Justification]
A package manager bug can cause dist-upgrades from 17.10 to 18.04 to fail because of trying to process triggers out of order. Since the trigger being run is that of the currently-installed plymouth package, it is not guaranteed to be sufficient to fix the version of the package in 18.04.

[Test case]
1. Install plymouth-themes-ubuntu-text from -proposed.
2. Run a release upgrade with each of update-manager -d, do-release-upgrade -d, and apt-get dist-upgrade (the last after manually changing sources.list).
3. Verify that in each case, the upgrade completes successfully, with no errors about out-of-order trigger configuration.

[Regression potential]
noawait triggers have been supported in dpkg since 1.16.1, which is older than the version in precise (https://manpages.debian.org/jessie/dpkg-dev/deb-triggers.5.en.html). A noawait trigger is considered appropriate whenever the triggered package does not need to block the triggering package. There is no reason for a plymouth theme package to need to block configuration of an essential package in this case. noawait triggers are well-exercised in the distro now, so the risk of regression from this change should be low.

There is unfortunately not a known reproducer for the original bug, so the test case, while it should guard against regressions, is not strong confirmation that the bug is fixed.

[Original description]
Failure during upgrade attempt from Xubuntu 17.10 to Xubuntu 18.04

ProblemType: Package
DistroRelease: Ubuntu 18.04
Package: plymouth-theme-ubuntu-text 0.9.2-3ubuntu17
ProcVersionSignature: Ubuntu 4.13.0-32.35-generic 4.13.13
Uname: Linux 4.13.0-32-generic x86_64
ApportVersion: 2.20.7-0ubuntu3.7
Architecture: amd64
Date: Sun Feb 18 23:41:49 2018
DefaultPlymouth: /usr/share/plymouth/themes/xubuntu-logo/xubuntu-logo.plymouth
ErrorMessage: dependency problems - leaving triggers unprocessed
InstallationDate: Installed on 2017-10-24 (118 days ago)
InstallationMedia: Xubuntu 17.10 "Artful Aardvark" - Release amd64 (20171017.1)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 8087:0a2a Intel Corp.
 Bus 001 Device 003: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller
 Bus 001 Device 002: ID 1bcf:2c01 Sunplus Innovation Technology Inc.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. Inspiron 5567
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-32-generic.efi.signed root=UUID=d2256612-d86a-469b-be01-94e1fdcca333 ro quiet splash vt.handoff=1
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-32-generic.efi.signed root=UUID=d2256612-d86a-469b-be01-94e1fdcca333 ro quiet splash vt.handoff=1
Python3Details: /usr/bin/python3.6, Python 3.6.4+, python3-minimal, 3.6.4-1
PythonDetails: /usr/bin/python2.7, Python 2.7.14+, python-minimal, 2.7.14-4
RelatedPackageVersions:
 dpkg 1.19.0.5ubuntu1
 apt 1.5.1
SourcePackage: plymouth
TextPlymouth: /usr/share/plymouth/themes/xubuntu-text/xubuntu-text.plymouth
Title: package plymouth-theme-ubuntu-text 0.9.2-3ubuntu17 failed to install/upgrade: dependency problems - leaving triggers unprocessed
UpgradeStatus: Upgraded to bionic on 2018-02-19 (0 days ago)
dmi.bios.date: 01/12/2017
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.1.0
dmi.board.name: 01W6F7
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.1.0:bd01/12/2017:svnDellInc.:pnInspiron5567:pvr:rvnDellInc.:rn01W6F7:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: Inspiron
dmi.product.name: Inspiron 5567
dmi.sys.vendor: Dell Inc.

tags: removed: need-duplicate-check
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1750465

tags: added: iso-testing
Steve Langasek (vorlon) wrote :

The auto-generated log attachments only show:

Preparing to unpack .../bash_4.4.18-1ubuntu1_amd64.deb ...
Unpacking bash (4.4.18-1ubuntu1) over (4.4-5ubuntu1) ...
dpkg: dependency problems prevent processing triggers for plymouth-theme-ubuntu-text:
 plymouth-theme-ubuntu-text depends on lsb-release; however:
  Package lsb-release is not configured yet.

dpkg: error processing package plymouth-theme-ubuntu-text (--configure):
 dependency problems - leaving triggers unprocessed
dpkg: dependency problems prevent processing triggers for plymouth-theme-ubuntu-text:
 plymouth-theme-ubuntu-text depends on lsb-release; however:
  Package lsb-release is not configured yet.

dpkg: error processing package plymouth-theme-ubuntu-text (--configure):
 dependency problems - leaving triggers unprocessed
dpkg: dependency problems prevent processing triggers for plymouth-theme-ubuntu-text:
 plymouth-theme-ubuntu-text depends on lsb-release; however:
  Package lsb-release is not configured yet.

dpkg: error processing package plymouth-theme-ubuntu-text (--configure):
 dependency problems - leaving triggers unprocessed

This does not explain /why/ lsb-release is not yet configured. Please attach a complete dpkg term log from the upgrade, showing the root cause of this failure to configure.

Changed in plymouth (Ubuntu):
status: New → Incomplete

After trying to resuscitate the machine, it appears I have no term log. This upgrade wasn't even meant to be an actual test. After fixing the EOL 17.04 problem on my father's laptop and how horribly that went due to our ISP's service, I was attempting to see if it was the ISP or us causing grief.

During the two tries I went through to get things finished, multiple errors occured due to multiple packages contending over a single file that they wanted to overwrite. I got that straightened out with removals and breaks. Running do-release-upgrade left too many things from the 17.10 suite on the machine before this first problem which is where it stopped.

Marking plymouth for reinstallation after I filed the bug resolved it.

As to lsb-release, I now have this:

skellat@Dreadnought:~$ apt-cache policy lsb-release
lsb-release:
Installed: 9.20170808ubuntu1
Candidate: 9.20170808ubuntu1
Version table:
*** 9.20170808ubuntu1 500
500 http://ca.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
500 http://ca.archive.ubuntu.com/ubuntu bionic/main i386 Packages
100 /var/lib/dpkg/status

I didn't have anything screwy from a PPA installed in lieu of what rmadison shows as the available versions of lsb-release:

skellat@Dreadnought:~$ rmadison lsb-release
lsb-release | 4.0-0ubuntu20 | precise | all
lsb-release | 4.0-0ubuntu20.3 | precise-updates | all
lsb-release | 4.1+Debian11ubuntu6 | trusty | all
lsb-release | 4.1+Debian11ubuntu6.2 | trusty-updates | all
lsb-release | 9.20160110 | xenial | all
lsb-release | 9.20160110ubuntu0.2 | xenial-updates | all
lsb-release | 9.20160110ubuntu5 | artful | all
lsb-release | 9.20170808ubuntu1 | bionic | all

Since I'm missing the necessary logs this probably needs to be moved to Invalid. If somebody else sees it happen it can always be reborn in a duplicate marking. After four rounds resolving broken packages I'm at least left with this:

skellat@Dreadnought:~$ lsb_release -a
No LSB modules are available.
Distributor ID:        Ubuntu
Description:    Ubuntu Bionic Beaver (development branch)
Release:      18.04
Codename:        bionic

On Tue, Feb 20, 2018 at 12:42:54AM +0000, Steve Langasek wrote:

This does not explain /why/ lsb-release is not yet configured. Please
attach a complete dpkg term log from the upgrade, showing the root cause
of this failure to configure.

I hit this too (on arm64).

Changed in plymouth (Ubuntu):
status: Incomplete → Confirmed
Steve Langasek (vorlon) wrote :

Thanks, this shows that new lsb-release has been unpacked but not configured, then the package manager attempts to process the triggers for plymouth-theme-ubuntu-text. This appears to be a package manager bug (either apt or dpkg) for trying to do these operations out of order.

affects: plymouth (Ubuntu) → apt (Ubuntu)
summary: - package plymouth-theme-ubuntu-text 0.9.2-3ubuntu17 failed to
- install/upgrade: dependency problems - leaving triggers unprocessed
+ upgrade attempting to process triggers out of order (package plymouth-
+ theme-ubuntu-text 0.9.2-3ubuntu17 failed to install/upgrade: dependency
+ problems - leaving triggers unprocessed)
tags: added: id-5a9cf9e8c002ae1b9f6de652
Steve Langasek (vorlon) wrote :

Some thoughts here:
 - bash is shown as being unpacked immediately before this. bash is an essential package.
 - the package which triggers the plymouth theme packages is base-files, which ships /etc/lsb-release. base-files is also an essential package.
 - apt tries to handle Essential packages specially, by configuring them as quickly as possible.
 - the plymouth packages use 'interest' triggers, not 'interest-noawait' triggers, so the base-files package can't be configured until after the plymouth triggers have been run.
 - dpkg doesn't let the triggers be run before the dependencies are configured.

I think it's very likely that this is a package manager bug, since I don't see any dependency loops anywhere involving lsb-release and plymouth-themes-ubuntu-text. However, we can probably also work around it by making the plymouth triggers use interest-noawait instead, so that they do not block the configuration of essential packages.

I also think this warrants an SRU, since the version of the theme package being triggered may be the old version during a release upgrade.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kubuntu-settings (Ubuntu):
status: New → Confirmed
Changed in plymouth (Ubuntu):
status: New → Confirmed
Steve Langasek (vorlon) on 2018-03-21
Changed in plymouth (Ubuntu):
status: Confirmed → Fix Committed
Steve Langasek (vorlon) on 2018-03-21
description: updated
Changed in plymouth (Ubuntu Artful):
status: New → In Progress
Julian Andres Klode (juliank) wrote :

Um, Steve, something is wrong in your analysis: base-files is fully configured before bash is unpacked, and when _unpacking_ bash it tries to process the trigger (i mean, there's no "Setting up bash" in front of it; but maybe dpkg processes triggers before printing that).

The odd thing here is that apt should be calling dpkg with --no-triggers, unless we're doing TriggersPending, ConfigurePending, or the last step in the run - and that's not happening AFAICT.

@Kees long stretch, but maybe you have a dpkg.log from that?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.9.3-1ubuntu2

---------------
plymouth (0.9.3-1ubuntu2) bionic; urgency=medium

  * Make the lsb-release triggers interest-noawait, so that we don't block
    configuration of an Essential: yes package during upgrades.
    LP: #1750465.

 -- Steve Langasek <email address hidden> Tue, 20 Mar 2018 23:15:58 -0700

Changed in plymouth (Ubuntu):
status: Fix Committed → Fix Released
Robie Basak (racb) wrote :

14:04 <rbasak> juliank: based on https://bugs.launchpad.net/ubuntu/+source/apt/+
bug/1750465/comments/10, are you suggesting I should hold on processing slangase
k's SRU upload?
14:04 <ubottu> Launchpad bug 1750465 in plymouth (Ubuntu Artful) "upgrade attemp
ting to process triggers out of order (package plymouth-theme-ubuntu-text 0.9.2-
3ubuntu17 failed to install/upgrade: dependency problems - leaving triggers unpr
ocessed)" [Undecided,In progress]
14:05 <juliank> rbasak: I'm not sure what he did precisely, I only saw the bug m
essages.
14:06 <rbasak> juliank: http://launchpadlibrarian.net/361447927/plymouth_0.9.2-3
ubuntu17_0.9.2-3ubuntu18.diff.gz is his artful SRU upload.
14:06 <juliank> That should be correct anyway.
14:06 <juliank> And it probably fixes the bug even if we don't know the exact reason yet...
14:07 <rbasak> OK. If you and slangasek both agree on what we should land, I'm happy :)
14:07 <rbasak> I'll accept assuming all the other SRU bits look OK.

Changed in plymouth (Ubuntu Artful):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-artful

Hello Stephen, or anyone else affected,

Accepted plymouth into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plymouth/0.9.2-3ubuntu18 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in apt (Ubuntu Artful):
status: New → Confirmed
Changed in budgie-artwork (Ubuntu Artful):
status: New → Confirmed
Changed in budgie-artwork (Ubuntu):
status: New → Confirmed
Changed in kubuntu-settings (Ubuntu Artful):
status: New → Confirmed
Changed in ubuntu-gnome-default-settings (Ubuntu Artful):
status: New → Confirmed
Changed in ubuntu-gnome-default-settings (Ubuntu):
status: New → Confirmed
Changed in ubuntu-mate-artwork (Ubuntu Artful):
status: New → Confirmed
Changed in ubuntu-mate-artwork (Ubuntu):
status: New → Confirmed
Chris J Arges (arges) wrote :

Hello Stephen, or anyone else affected,

Accepted plymouth into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/plymouth/0.9.2-3ubuntu13.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in plymouth (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package budgie-artwork - 0.9.6

---------------
budgie-artwork (0.9.6) bionic; urgency=medium

  * Bug fix release
    - Fix CSS errors displayed in terminal due to invalid Pocillo CSS
    - Styling fixes for Pocillo on lock and logon screens
    - Fix headbar hover and separator display
    - Make the lsb-release triggers interest-noawait, so that we don't block
      configuration of an Essential: yes package during upgrades
      (LP: #1750465)

 -- David Mohammed <email address hidden> Tue, 27 Mar 2018 21:04:40 +0100

Changed in budgie-artwork (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in apt (Ubuntu Xenial):
status: New → Confirmed
Changed in budgie-artwork (Ubuntu Xenial):
status: New → Confirmed
Changed in kubuntu-settings (Ubuntu Xenial):
status: New → Confirmed
Changed in ubuntu-gnome-default-settings (Ubuntu Xenial):
status: New → Confirmed
Changed in ubuntu-mate-artwork (Ubuntu Xenial):
status: New → Confirmed
paul summers (paulsum) wrote :

i have tested the proposed package and it works (on ubuntu-MATE 17.10 clean install)

on a clean install of ubuntu-MATE 17.10 (iso from october 2017) , then the usual standard sudo apt update, sudo apt upgrade... then checking the setting in "pre-released updates" in developers options in software & updates... then running sudo apt update, sudo apt upgrade to get the proposed updates,

then running the sudo do-release-upgrade -d the upgrade to bionic beaver 18.04 works...
the upgrade to bionic beaver 18.04 (ubuntu-MATE) will not work if you do not apply the updates in the to the bionic-proposed..

in short, if you are Upgrading ubuntu-MATE from 17.10 to 18.04 you need the bionic-proposed updates... otherwise the update will not work. IMO it is fixed with the bionic-proposed.

Steve Langasek (vorlon) on 2018-03-28
tags: added: verification-done-artful
removed: verification-needed-artful

The verification of the Stable Release Update for plymouth has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.9.2-3ubuntu18

---------------
plymouth (0.9.2-3ubuntu18) artful; urgency=medium

  * Make the lsb-release triggers interest-noawait, so that we don't block
    configuration of an Essential: yes package during upgrades.
    LP: #1750465.

 -- Steve Langasek <email address hidden> Tue, 20 Mar 2018 23:23:46 -0700

Changed in plymouth (Ubuntu Artful):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) on 2018-04-03
description: updated
Iain Lane (laney) wrote :

I've done a do-release-upgrade -d update with the plymouth from xenial-proposed and it completed successfully. Not marking v-done, since the test case in the description requires some additional testing.

Changed in kubuntu-settings (Ubuntu):
status: Confirmed → Fix Committed
Changed in ubuntu-gnome-default-settings (Ubuntu):
status: Confirmed → Fix Committed
Changed in ubuntu-mate-artwork (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-mate-artwork - 18.04.9

---------------
ubuntu-mate-artwork (18.04.9) bionic; urgency=medium

  * Use noawait trigger variant when tracking lsb-release. LP: #1750465

 -- Dimitri John Ledkov <email address hidden> Tue, 03 Apr 2018 15:22:45 +0100

Changed in ubuntu-mate-artwork (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kubuntu-settings - 1:18.04ubuntu10

---------------
kubuntu-settings (1:18.04ubuntu10) bionic; urgency=medium

  * Use noawait trigger variant when tracking lsb-release. LP: #1750465

 -- Dimitri John Ledkov <email address hidden> Tue, 03 Apr 2018 15:12:29 +0100

Changed in kubuntu-settings (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-gnome-default-settings - 17.10.4

---------------
ubuntu-gnome-default-settings (17.10.4) bionic; urgency=medium

  * Use noawait trigger variant when tracking lsb-release. LP: #1750465

 -- Dimitri John Ledkov <email address hidden> Tue, 03 Apr 2018 15:18:30 +0100

Changed in ubuntu-gnome-default-settings (Ubuntu):
status: Fix Committed → Fix Released
Łukasz Zemczak (sil2100) wrote :

Can anyone perform testing of plymouth for xenial? It's blocking another SRU that's in the queue right now.

Brian Murray (brian-murray) wrote :

I tested the plymouth update for xenial by enabling proposed, then installing plymouth-theme-ubuntu-text, then modifying /etc/apt/sources.list from xenial to bionic and finally running sudo apt-get dist-upgrade. The upgrade completed with no issues.

I think testing update-manager -d and do-release-upgrade -d is overly paranoid and I'm setting this to verification-done.

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Dimitri John Ledkov (xnox) wrote :

Here is the list of all blocking trigers that remain in the archive:
http://paste.ubuntu.com/p/7hP7pVqGMp/

the lsb-release ones have now been uploaded by me.

Please check if any other 'interest /' ones should be converted to -noawait variant, and if there are any others that could become -noawait.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.9.2-3ubuntu13.3

---------------
plymouth (0.9.2-3ubuntu13.3) xenial; urgency=medium

  * Make the lsb-release triggers interest-noawait, so that we don't block
    configuration of an Essential: yes package during upgrades.
    LP: #1750465.

 -- Steve Langasek <email address hidden> Tue, 27 Mar 2018 12:04:31 -0700

Changed in plymouth (Ubuntu Xenial):
status: Fix Committed → Fix Released

Hello Stephen, or anyone else affected,

Accepted budgie-artwork into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/budgie-artwork/0.8.3ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in budgie-artwork (Ubuntu Artful):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-artful
removed: verification-done verification-done-artful
no longer affects: budgie-artwork (Ubuntu Xenial)
fossfreedom (fossfreedom) wrote :

Testing the packaging for budgie-artwork:

I tested the plymouth update for artful by making sure I was fully up-to-date, enabling proposed, then installing all the binaries created by budgie-artwork:

    budgie-lightdm-theme
    budgie-lightdm-theme-base
    plymouth-theme-ubuntu-budgie-logo
    plymouth-theme-ubuntu-budgie-text
    pocillo-icon-theme Tango-esque

Then I unticked proposed.

Ran update-manager -d

Completed and rebooted. Confirmed can login and budgie plymouth theme was still visible.

I then repeated the above but this time switched to a TTY and ran do-release-upgrade -d

I'm setting this to verification-done.

tags: added: verification-done verification-done-artful
removed: verification-needed verification-needed-artful
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package budgie-artwork - 0.8.3ubuntu1

---------------
budgie-artwork (0.8.3ubuntu1) artful; urgency=medium

  * Bug fix release
    - Make the lsb-release triggers interest-noawait, so that we don't block
      configuration of an Essential: yes package during upgrades
      (LP: #1750465)

 -- David Mohammed <email address hidden> Fri, 30 Mar 2018 11:57:04 +0100

Changed in budgie-artwork (Ubuntu Artful):
status: Fix Committed → Fix Released
Changed in apt (Ubuntu):
status: Confirmed → Invalid
Changed in apt (Ubuntu Xenial):
status: Confirmed → Invalid
Changed in apt (Ubuntu Artful):
status: Confirmed → Invalid
Changed in kubuntu-settings (Ubuntu Xenial):
importance: Undecided → High
Changed in ubuntu-gnome-default-settings (Ubuntu Xenial):
importance: Undecided → High
Changed in ubuntu-mate-artwork (Ubuntu Xenial):
importance: Undecided → High
Julian Andres Klode (juliank) wrote :

Dear Kubuntu, Mate, and Gnome flavour folks: Please also fix the bug in stable releases.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers